#pragma once
#include "lua.h"

/* Thread. */
int music_thread(void* unused);
void music_kill(void);

/* Init/Exit. */
int music_init(void);
int music_makeList(void);
void music_exit(void);

/* Music control. */
void music_volume(const double vol);
void music_load(const char* name);
void music_play(void);
void music_stop(void);

/* Lua control. */
int lua_loadMusic(lua_State* L, int read_only);
int music_choose(char* situation);

